# $Revision: 1.31 $, $Date: 2000/06/14 00:20:21 $
Summary:	A WYSIWYM frontend to LaTeX
Summary(pl):	Nakadka WYSIWYM na LaTeXa
Name:		lyx
Version:	1.1.5
Release:	1
License:	GPL
Group:		Applications/Publishing/TeX
Group(pl):	Aplikacje/Publikowanie/TeX
Source0:	ftp://ftp.lyx.org/pub/lyx/stable/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	lyx.png
Icon:		lyx.xpm
Requires:	gv
Requires:	xdvi
Requires:	tetex
Requires:	tetex-latex
BuildRequires:	xpm-devel
BuildRequires:	xforms-devel >= 0.88
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
URL:		http://www.lyx.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_old_bindir	/usr/bin
%define		_old_datadir	/usr/share
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
LyX is a modern approach of writing documents with a computer which
breaks with the tradition of the obsolete typewriter concept. It is
designed for people who want a professional output with a minimum of
time effort, without becoming specialists in typesetting. Compared to
common word processors LyX will increase the productivity a lot, since
most of the typesetting will be done by the computer, not the author.
With LyX the author can concentrate on the contents of his writing,
since the computer will take care of the look.

%description -l pl
LyX jest nowoczesnym narzdziem sucym do pisania dokumentw
amicym dotychczasow, przestarza tradycj maszyny do pisania. LyX
zosta zaprojektowany dla ludzi, ktrzy chc tworzy profesjonalne
dokumenty przy jak najmniejszym nakadzie czasowym bez koniecznoci
bycia specjalist w skadzie tekstw. LyX pozwala autorowi skupi si
na zawartoci dokumentu podczas gdy komputer zajmie si ca reszt.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -fno-rtti -fno-exceptions"
LDFLAGS="-s"
export CXXFLAGS LDFLAGS
%configure \
	--enable-nls \
	--without-included-gettext \
	--without-debug \

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_applnkdir}/Office/Editors,%{_datadir}/pixmaps} \
	$RPM_BUILD_ROOT%{_old_datadir}/texmf/tex/latex/

%{__make} install DESTDIR=$RPM_BUILD_ROOT \
	localedir=$RPM_BUILD_ROOT%{_datadir}/locale \
	gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Office/Editors
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

rm -f $RPM_BUILD_ROOT%{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}
ln -s %{_datadir}/lyx/tex $RPM_BUILD_ROOT%{_old_datadir}/texmf/tex/latex/lyx

gzip -9nf ANNOUNCE README NEWS $RPM_BUILD_ROOT%{_mandir}/man1/*

%find_lang %{name}

%post
umask 022
%{_old_bindir}/texhash
cd %{_datadir}/lyx/
./configure > /dev/null
if [ -f lyxrc.defaults ]; then
	cp -p lyxrc.defaults lyxrc
fi

%postun
%{_old_bindir}/texhash

%preun
rm -f %{_datadir}/lyx/{lyxrc.defaults,lyxrc*}
rm -f %{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc {ANNOUNCE,README,NEWS}.gz
%attr(755,root,root) %{_bindir}/*
%dir %{_old_datadir}/texmf/tex/latex/lyx
%attr(-, root,root) %{_datadir}/lyx
%{_mandir}/man1/*
%{_applnkdir}/Office/Editors/*
%{_datadir}/pixmaps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lyx.spec,v $
Revision 1.31  2000/06/14 00:20:21  kloczek
- cosmetics,
- added beter C++ optimization "-fno-rtti -fno-exceptions" (it cut lyx
  binary size 25% - save ~500KB).

Revision 1.30  2000/06/14 00:18:14  kloczek
- spec adapterized,
- added package icon,
- desktop file moved to Office/Editors.

Revision 1.29  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/06/06 18:02:11  klakier
- ver 1.1.5
- removed old patches
- removed DESTDIR and pl patches (looks to be included in sources)
- changed BuildRequires: XFree86-libs-devel to XFree86-devel
- rebuild (ok)

Revision 1.27  2000/05/11 13:53:06  misiek
- added fix3 patch

Revision 1.26  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.24  2000/03/27 15:49:24  misiek
- update

Revision 1.22  1999/10/11 17:33:59  kloczek
- now Serial is correct.

Revision 1.21  1999/10/11 16:06:52  kloczek
- fix serial.

Revision 1.20  1999/10/11 01:54:40  kloczek
- updated to 1.0.4,
- pass LDFLAGS="-s" to configure enviroment instead stripping in %install.

Revision 1.19  1999/10/10 14:30:07  waszi
- tetex-xdvi -> xdvi

Revision 1.18  1999/09/04 09:08:04  wiget
- %{_sysconfdir}/X11/applnk -> %{_datadir}/applnk
